## ros-indigo-rtmros-hironx 2.1.1

=== debian/changelog ===
ros-indigo-rtmros-hironx (2.1.1-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 20 Feb 2019 00:00:00 -0000

ros-indigo-rtmros-hironx (2.1.0-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 07 Sep 2017 00:00:00 -0000

ros-indigo-rtmros-hironx (2.0.0-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 10 Aug 2017 00:00:00 -0000

ros-indigo-rtmros-hironx (1.1.25-0trusty) trusty; urgency=high

  * [QNX log fetch] Fix to get it working again.
  * [QNX log fetch] Add a feature to remove existing .log files on QNX to save disk space. #508 <https://github.com/start-jsk/rtmros_hironx/pull/508>
  * Contributors: Isaac I.Y. Saito

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 02 Jun 2017 00:00:00 -0000

ros-indigo-rtmros-hironx (1.1.24-0trusty) trusty; urgency=high

  * [py] Better error msg, better doc about impedance control. #496 <https://github.com/start-jsk/rtmros_hironx/pull/496>, #499 <https://github.com/start-jsk/rtmros_hironx/pull/499>
  * Contributors: Isaac I.Y. Saito

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 09 May 2017 00:00:00 -0000

ros-indigo-rtmros-hironx (1.1.23-0trusty) trusty; urgency=high

  * [enhancement][test] Common testcase module location change #490 <https://github.com/start-jsk/rtmros_hironx/issues/490>.
  * [doc] More elaboration on startImpedance* methods.
  * [doc][calib] Cleanup pkg description.
  * Contributors: Isaac I.Y. Saito

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 03 Apr 2017 00:00:00 -0000

ros-indigo-rtmros-hironx (1.1.22-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 24 Mar 2017 00:00:00 -0000

ros-indigo-rtmros-hironx (1.1.21-0trusty) trusty; urgency=high

  * [fix][hironx py] Let setTargetPose fail when invalid kinematic group name passed. #470 <https://github.com/start-jsk/rtmros_hironx/pull/470>
  * [capability][hrpsys-sim] Add hand camera feature.
  * [capability] Add rviz.launch. Now you can run RViz with a default view (without running MoveIt! when you don't need to).
  * Contributors: Isaac I.Y. Saito

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 16 Mar 2017 00:00:00 -0000

ros-indigo-rtmros-hironx (1.1.20-0trusty) trusty; urgency=high

  * [Capability] Enable head cameras for hrpsys simulator.
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 09 Feb 2017 00:00:00 -0000

ros-indigo-rtmros-hironx (1.1.19-0trusty) trusty; urgency=high

  * [fix] more precision on end effector's location
  * [fix][dynpick qnx driver] compilation.
  * [fix][hironx script] Correct exception when no ROS master found.
  * [fix] updated translation of last joint to match CAD data. updated arm end translation
  * Contributors: Hajime SAITO, Isaac I.Y. Saito, Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 12 Jan 2017 00:00:00 -0000

ros-indigo-rtmros-hironx (1.1.18-0trusty) trusty; urgency=high

  * [fix] servoOn error that returns always -1 for robots without Servo Controller RTC for hands. See https://github.com/start-jsk/rtmros_hironx/pull/398#pullrequestreview-5575278
  * [fix][moveit config] Fix Interactive Marker size.
  * Contributors: Isaac I.Y. Saito

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 28 Oct 2016 00:00:00 -0000

ros-indigo-rtmros-hironx (1.1.17-0trusty) trusty; urgency=high

  * [fix] Fix versioning; use StrictVersion to compare version string
  * [improve] acceptancetest_hironx.py: display what to do
  * [fix] acceptancetest to work with gazebo environment
  * [improve] ros_client.py : for ros_clinet to use control_msgs instaed of pr2_controllers, this should work on latest hrpsys_ros_bridge which support both interface
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 13 Oct 2016 00:00:00 -0000

ros-indigo-rtmros-hironx (1.1.16-0trusty) trusty; urgency=high

  * [fix] Use existing running hrtpsy components when available (fix to tork-a/rtmros_nextage/#248 <https://github.com/tork-a/rtmros_nextage/issues/248>)
  * [fix][hironx.py] Remove an arg that was merged by mistake.
  * Contributors: Isaac I.Y. Saito, Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 11 Jul 2016 00:00:00 -0000

ros-indigo-rtmros-hironx (1.1.15-0trusty) trusty; urgency=high

  * Workaround MoveIt! RRT issue (see https://github.com/tork-a/rtmros_nextage/issues/170).
  * Contributors: Isaac I.Y. Saito

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 02 Jun 2016 00:00:00 -0000

ros-indigo-rtmros-hironx (1.1.14-0trusty) trusty; urgency=high

  * [fix] remove duplicate functions, put them in upstream
  * [enhance][hironx.py] easier default model file location when operating the real robot.
  * Contributors: Kei Okada, Isaac I.Y. Saito

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 19 May 2016 00:00:00 -0000

ros-indigo-rtmros-hironx (1.1.13-0trusty) trusty; urgency=high

  * [fix] Correct collada file location for real robot.
  * [sys] Add better test for ros_client
    * Contributors: Kei Okada, Isaac I.Y. Saito

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 16 May 2016 00:00:00 -0000

ros-indigo-rtmros-hironx (1.1.12-0trusty) trusty; urgency=high

  * [fix][RTM py] Remove redundant connection for impedance controller RTC.
  * [fix][ROS py] fix segfault on ros_client exit.
  * [feat] Add QNX driver for Dynpick F/T sensor.
  * [fix][test_hironx_moveit.py] fix "rospy.init_node() has already been called with different arguments" exception.
  * [fix][test_hironx_moveit.py] old file names
  * [improve][test-hironx-moveit.test] Relax test duration.
  * Contributors: Isaac Kei Okada, I.Y. Saito

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 05 May 2016 00:00:00 -0000

ros-indigo-rtmros-hironx (1.1.11-0trusty) trusty; urgency=high

  * [fix][rqt dashboard] Enable to connect remote RTM nameserver (Fix #429)
  * [doc][hironx py] Add doc for overridden methods
  * Contributors: Isaac I.Y. Saito


